net.sf.jasperreports.charts.base

## Class JRBasePieDataset

- java.lang.Object
- - net.sf.jasperreports.engine.base.JRBaseElementDataset
  - - net.sf.jasperreports.engine.base.JRBaseChartDataset
    - - net.sf.jasperreports.charts.base.JRBasePieDataset

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, JRPieDataset, JRChangeEventsSupport, JRChartDataset, JRCloneable, JRElementDataset

      public class JRBasePieDataset
      extends JRBaseChartDataset
      implements JRPieDataset, JRChangeEventsSupport

  Version:
    $Id: JRBasePieDataset.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JRExpression` | `otherKeyExpression`
    `protected JRExpression` | `otherLabelExpression`
    `protected JRPieSeries[]` | `pieSeries`
    `static java.lang.String` | `PROPERTY_MAX_COUNT`
    `static java.lang.String` | `PROPERTY_MIN_PERCENTAGE`

    - ### Fields inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `datasetRun, incrementGroup, incrementTypeValue, incrementWhenExpression, resetGroup, resetTypeValue`

    - ### Fields inherited from interface net.sf.jasperreports.engine.JRChartDataset

      `CATEGORY_DATASET, GANTT_DATASET, HIGHLOW_DATASET, PIE_DATASET, TIMEPERIOD_DATASET, TIMESERIES_DATASET, VALUE_DATASET, XY_DATASET, XYZ_DATASET`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRBasePieDataset(JRChartDataset dataset)`
    `JRBasePieDataset(JRPieDataset dataset, JRBaseObjectFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `void` | `collectExpressions(JRExpressionCollector collector)`
    `byte` | `getDatasetType()` Gets the dataset type.
    `JRPropertyChangeSupport` | `getEventSupport()` Returns the property change support object for this instance.
    `java.lang.Integer` | `getMaxCount()`
    `java.lang.Float` | `getMinPercentage()`
    `JRExpression` | `getOtherKeyExpression()`
    `JRExpression` | `getOtherLabelExpression()`
    `JRHyperlink` | `getOtherSectionHyperlink()` Returns the hyperlink specification for the special Other chart section, if present.
    `JRPieSeries[]` | `getSeries()`
    `void` | `setMaxCount(java.lang.Integer maxCount)`
    `void` | `setMinPercentage(java.lang.Float minPercentage)`
    `void` | `validate(JRVerifier verifier)` Validates the dataset using a verifier.

    - ### Methods inherited from class net.sf.jasperreports.engine.base.JRBaseElementDataset

      `getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRElementDataset

      `getDatasetRun, getIncrementGroup, getIncrementTypeValue, getIncrementWhenExpression, getResetGroup, getResetTypeValue`

- - ### Field Detail

    - #### PROPERTY_MIN_PERCENTAGE

          public static final java.lang.String PROPERTY_MIN_PERCENTAGE

      See Also:
        Constant Field Values

    - #### PROPERTY_MAX_COUNT

          public static final java.lang.String PROPERTY_MAX_COUNT

      See Also:
        Constant Field Values

    - #### pieSeries

          protected JRPieSeries[] pieSeries

    - #### otherKeyExpression

          protected JRExpression otherKeyExpression

    - #### otherLabelExpression

          protected JRExpression otherLabelExpression

  - ### Constructor Detail

    - #### JRBasePieDataset

          public JRBasePieDataset(JRChartDataset dataset)

    - #### JRBasePieDataset

          public JRBasePieDataset(JRPieDataset dataset,
                          JRBaseObjectFactory factory)

  - ### Method Detail

    - #### getMinPercentage

          public java.lang.Float getMinPercentage()

      Specified by:
        `getMinPercentage` in interface `JRPieDataset`

    - #### setMinPercentage

          public void setMinPercentage(java.lang.Float minPercentage)

      Specified by:
        `setMinPercentage` in interface `JRPieDataset`

    - #### getMaxCount

          public java.lang.Integer getMaxCount()

      Specified by:
        `getMaxCount` in interface `JRPieDataset`

    - #### setMaxCount

          public void setMaxCount(java.lang.Integer maxCount)

      Specified by:
        `setMaxCount` in interface `JRPieDataset`

    - #### getSeries

          public JRPieSeries[] getSeries()

      Specified by:
        `getSeries` in interface `JRPieDataset`
      Returns:
        an array of `JRPieSeries` objects representing the series for the Pie or Pie 3D chart
      See Also:
        `JRPieSeries`

    - #### getOtherKeyExpression

          public JRExpression getOtherKeyExpression()

      Specified by:
        `getOtherKeyExpression` in interface `JRPieDataset`

    - #### getOtherLabelExpression

          public JRExpression getOtherLabelExpression()

      Specified by:
        `getOtherLabelExpression` in interface `JRPieDataset`

    - #### getOtherSectionHyperlink

          public JRHyperlink getOtherSectionHyperlink()

      Description copied from interface: `JRPieDataset`
      Returns the hyperlink specification for the special Other chart section, if present.
      Specified by:
        `getOtherSectionHyperlink` in interface `JRPieDataset`
      Returns:
        hyperlink specification for the Other chart section

    - #### getDatasetType

          public byte getDatasetType()

      Description copied from interface: `JRChartDataset`
      Gets the dataset type. Must be one of the dataset type constants defined in this class.
      Specified by:
        `getDatasetType` in interface `JRChartDataset`

    - #### collectExpressions

          public void collectExpressions(JRExpressionCollector collector)

      Specified by:
        `collectExpressions` in interface `JRElementDataset`
      Overrides:
        `collectExpressions` in class `JRBaseElementDataset`

    - #### validate

          public void validate(JRVerifier verifier)

      Description copied from interface: `JRChartDataset`
      Validates the dataset using a verifier.

      Broken rules are collected by the verifier.

      Specified by:
        `validate` in interface `JRChartDataset`
      Parameters:
        `verifier` - the verifier to use for validation

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `JRBaseElementDataset`

    - #### getEventSupport

          public JRPropertyChangeSupport getEventSupport()

      Description copied from interface: `JRChangeEventsSupport`
      Returns the property change support object for this instance.
      Specified by:
        `getEventSupport` in interface `JRChangeEventsSupport`
      Returns:
        the property change support object for this instance

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com